2010-06-28  Dale Ragan  <dale.ragan@sinesignal.com>

	* Makefile.am: Adding MonoDevelop.VersionControl.Git to the solution/build 
	  system.  It is disabled by default, to enable pass --enable-git=yes.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Diff:
	* DiffWidget:
	* Diff/README:
	* Makefile.am:
	* Diff/Diff.cs:
	* Diff/Patch.cs:
	* Diff/Merge.cs:
	* Diff/ChangeLog:
	* Diff/TextDiff.cs:
	* Diff/Diff.csproj:
	* Diff/Makefile.am:
	* DiffWidget/README:
	* Diff/UnifiedDiff.cs:
	* DiffWidget/widget.cs:
	* DiffWidget/ChangeLog:
	* Diff/StructuredDiff.cs:
	* DiffWidget/Makefile.am:
	* DiffWidget/DiffWidget.csproj: Moved diff widget and
	  algorithm to MonoDevelop.Components.

2009-06-23  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Repository.cs:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Move patch header tagging into svn addin.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* *.csproj: don't require specific gtk-sharp version.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* VersionControl.mds: Migrated to MSBuild file format.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp:
	Flush project format changes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* Diff/Diff.mdp:
	* DiffWidget/DiffWidget.mdp:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp:
	All projects now require fx 3.5.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Diff/Makefile.am:
	* DiffWidget/Makefile.am:
	* MonoDevelop.VersionControl.Subversion/Makefile.am: Make it work for
	parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Subversion/Makefile.am:
	* MonoDevelop.VersionControl.Subversion/AssemblyInfo.cs:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp:
	Add AssemblyInfo.cs files that are autogenerated from the addin
	manifests.

2008-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	Avoid adding duplicate trailing slash. Fixes bug #425338 - crash when
	trying to publish project to svn. Patch by Scott Ellington.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml:
	Bump MD version.

2008-10-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	Use CanMoveFiles to check if a directory can be moved from one SVN
	dir to another SVN dir. Fixes bug #436289.

2008-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/Makefile.am:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/Commands.cs:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionNodeExtension.cs:
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	Implemented Resolve command and tracked some api changes.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificateDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/generated.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificatePasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.SslServerTrustDialog.cs:
	  Updated generated code.

2008-08-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Properly show the remote status in the status view. Include remote
	  additions and removals. Show diff between working copy and repo
	  when remote status is requested. All this fixes bug #395284 - SVN
	  plugin: Show Remote Status does not work.

2008-08-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/Makefile.am,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp:
	  Add Ide reference, MD.Version control needs it.

2008-08-05  Lluis Sanchez Gual <lluis@novell.com> 

	* Diff/Diff.cs: Add missing accessor.

2008-08-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/gtk-gui/objects.xml,
	  MonoDevelop.VersionControl.Subversion/Makefile.am,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Add support for locking/unlocking, and for on-demand unlocking
	  (RequestFileEdit event).

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Moved serialization engine to MonoDevelop.Core. Use new syntax for
	  specifying attribute scope.

2008-07-06  Andrés G. Aragoneses <aaragoneses@novell.com> 

	Implement feature in bug#394434: "Revert [to] revision".
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	  New P/Invokes for merge command.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Overriding implementations for RevertRevision and RevertToRevision.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Connection between the P/Invoke library (for the merge command) and
	  the Revert[To]Revision methods.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  RevertRevision and RevertToRevision helper methods implemented.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* VersionControl.mds,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml:
	  Bump MD version.

2008-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Load system and user svn configuration when initializing a context.
	  Fixes bug #378835.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Added some getstring calls

2008-02-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Added missing null check.

2008-01-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	  Add a workaround for [MarshalAs (UnmanagedType.SysInt)] not working.
	  Fixes "Bug 325391 - Crash when attempting to browse registered repo" but
	  related issues remain in the binding.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml:
	  Update MD version.

2008-01-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  In GetRepostoryReference, properly check if the provided directory is
	  versioned. Fixes bug #355770.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml:
	  Updated add-in category and description.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Notify file changes through the FileService.

2008-01-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	  More marshalling fixes.

2008-01-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	  Fix marshalling issues.

2008-01-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  In GetHistory(), There is no need to query the working revision, since
	  we can use the constant Rev.Working as start revision. It also fixes bug
	  #324571.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp:
	  Updated project files. The order of extended properties won't change
	  anymore.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml:
	  Bump add-in versions.

2007-12-11  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.VersionControl.Subversion/Makefile.am: Fix trivial warning.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Use lazy initialisation rather than a static constructor. Log a message
	  to tell the user if the SVN add is disabled. Implement IDisposable in
	  addition to finaliser. Minor optimisation to release the LibSvnClient if
	  LibApr can't be loaded.

2007-12-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/gtk-gui/gui.stetic: Updated.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibApr.cs:
	  Check if Subversion is installed in a nicer way. Fixes bug #342507.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Diff/Diff.mdp, MonoDevelop.VersionControl.Subversion/Makefile.am,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  DiffWidget/DiffWidget.mdp: Directory reorganization.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  In some cases it may be possible to natively move files between two
	  repositories (e.g. if they are in the same server). Added a virtual
	  method to check that and implemented it for SVN.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Track LoggingService API changes.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml,
	  MonoDevelop.VersionControl/VersionControl.addin.xml: Bump MD version.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/Repository.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/UrlBasedRepository.cs:
	  Make a copy of the repository before editing, and only update the
	  original copy if the user clicks on OK. Fixes bug #336155.
	* MonoDevelop.VersionControl/gtk-gui/gui.stetic: Flush

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/overlay_added.png,
	  MonoDevelop.VersionControl/overlay_conflicted.png,
	  MonoDevelop.VersionControl/overlay_controled.png,
	  MonoDevelop.VersionControl/overlay_locked.png,
	  MonoDevelop.VersionControl/overlay_modified.png,
	  MonoDevelop.VersionControl/overlay_removed.png: Use tango file icons.
	  Removed obsolete icons.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Diffs.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Logs.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs:
	  Destroy the view when disposing.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Updated comment.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/EditRepositoryDialog.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/Repository.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/UrlBasedRepositoryEditor.cs:
	  Set a default repo name if none is specified. Fixes bug #335114.

2007-10-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/Makefile.am,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp:
	  Added reference to System.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibApr.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  libsvn_client may be linked to libapr-0 or libapr-1, and we need to bind
	  the LibApr class the the same library. Added code that detects the
	  required libapr version and loads it. Fixes bug #325391.

2007-10-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Diff/Diff.mdp, DiffWidget/DiffWidget.mdp,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/gui.stetic,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.SslServerTrustDialog.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp,
	  VersionControl.mds: Flush

2007-10-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	  Added some new pinvokes.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs:
	  Call config_ensure when initializing the svn client to make sure all
	  config directories are properly created, and that authentication data
	  can be saved. Handle the case when the user cancels the server
	  certificate validation. Based on a patch by Grzegorz Sobanski. Fixes bug
	  #324640.

2007-10-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	  Fix formatting.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Error objects returned by authentification handlers must be allocated in
	  its own memory pool. Fixes bug #328035.

2007-10-03  Grzegorz Sobański <silk@boktor.net>

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Changed the order of password and certs providers to first use the
	  subversion ones - to use the same credentials that command line client
	  (from ~/.subversion directory). It fixes bug #325538 too.

2007-10-03  Zach Lute <zach.lute@gmail.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Diffs.cs:  Only dispose of
	  FileSystemWatchers if they were actually created. (Bug #330505)

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml,
	  MonoDevelop.VersionControl/VersionControl.addin.xml: Bump MD version.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificateDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/generated.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificatePasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.SslServerTrustDialog.cs:
	  Regenerated GUI files.

2007-09-15  Andrés G. Aragoneses <knocte@gmail.com>

	* MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificatePasswordDialog.cs:
	* MonoDevelop.VersionControl.Subversion/gtk-gui/gui.stetic:
	Use a normal title for the window.

2007-09-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/generated.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.UrlBasedRepositoryEditor.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/gui.stetic: Increase range of port
	  selector in the repository information widget.

2007-09-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Diffs.cs:
	  Dispose the file watchers when disposing the view. Fixes bug #82721.

2007-09-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Publish.cs: Notify a
	  directory status change after publishing a project. Fixes bug #82275.

2007-09-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  In GetVersionInfo, check for directory before checking for file, since
	  directory links may appear as files.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Publish.cs: Fix a
	  compiler warning.

2007-09-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs:
	  Changed location of revert button, to avoid confusion with the commit
	  button (see bug #82542).

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/RevertCommand.cs:
	  Reload reverted files. Fixes bug #82338.

2007-08-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/ChangeSet.cs: When
	  going to commit, clone the changeset since commit extensions may change
	  it (e.g. changelog extension). Allow setting messages to files not
	  marked for commit. Should fix bug #82172.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/Makefile.am,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/VersionControl.addin.xml,
	  MonoDevelop.VersionControl/gtk-gui/gui.stetic,
	  MonoDevelop.VersionControl/Makefile.am: Reorganized the extension point
	  hierarchy. Embedded all add-in manifests as resources.

2007-08-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Task.cs: API
	  cleanup. Converted core services into regular classes.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/ChangeSet.cs: New
	  GeneratePathComment method which allows generating comments for a
	  specific set of files.

2007-08-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/gui.stetic: Fix dialog spacing.

2007-07-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs:
	  Made some strings translatable. Update commit button after changing
	  selection.

2007-07-29  Zach Lute <zach.lute@gmail.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs: 
	  Added Select All and Select None buttons to the commit/status view. (Bug #82146)

2007-07-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs:
	  Reset the global comment of the changeset before committing. Fixes
	  bug #82172.

2007-07-25  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs:
	Close the dialog when the user hits Enter in the Password field (or User field if no passwd is needed).

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs:
	  Load repository info in a background thread.

2007-07-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  The result_rev parameter of svn_client_checkout is not a
	  svn_opt_revision_t, but a svn_revnum_t. Might fix bug #81870.

2007-07-19  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlProjectService.cs:
	Lluis' previous change is not actually needed.

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs
	(NotifyFileChanged): Implemented. Fixes bug #81910.

2007-07-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlProjectService.cs:
	  Notify file changes as version control status changes. Fixes bug
	  #81910.

2007-07-19  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.VersionControl/VersionControl.addin.xml: Set the
	category for the version-control commands so they look all nice
	and pretty in the key-binding manager :)

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs:
	  Use the log service for logging errors.
	* MonoDevelop.VersionControl/gtk-gui/gui.stetic: Updated.

2007-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  If a file is deleted and it is scheduled to Add, revert the Add
	  operation. Fixes bug #81953.

2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/gui.stetic: Updated.

2007-06-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificateDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/generated.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificatePasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.SslServerTrustDialog.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp:
	  Updated.

2007-06-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	  Move the overlay icon one pixel up, to reduce spacing.

2007-05-31  Rafael 'fumasa' Giorgetti  <fumasa@gmail.com>

        * MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
        Add struct svn_client_commit_info_t.

        * MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
        Show revision number when Commit.

2007-05-31  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	Call a function in the .ctor to cause an exception if the library doesn't exist.

2007-05-31  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #81766.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	Updated to reflect changes to SvnClient nested classes/structs (which have been moved to LibSvnClient).
	
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/ClientCertificateDialog.cs: Same.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/ClientCertificatePasswordDialog.cs: Same.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs: Same.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs: Same.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	Same.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibApr.cs:
	Moved some constants here.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	Use a LibSvnClient object.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	New source file that wraps libsvn_client-1.so.[0,1]

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Directly call Svn.Commit when publishing a project, since the
	  regular Commit method has problems importing new folders.

2007-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/CommitCommand.cs:
	  Fix the build.

2007-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/CommitCommand.cs:
	  Properly destroy the commit dialog. Fixes bug #81751.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/ChangeSet.cs:
	  Fix crash when committing new directory additions.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlService.cs:
	  Properly unregister VersionControlSystem objects on add-in
	  unloading.

2007-05-22  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs
	(OnButtonEditClicked): Null check.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Checkout.cs
	(CheckOutCommand.Run): Likewise.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Publish.cs
	(PublishCommand.Publish): Likewise.

2007-05-21  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs:
	(Dispose): Remove.
	Ensure that dialogs are Destroy()'ed.	
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/EditRepositoryDialog.cs:
	(Dispose): Remove.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Checkout.cs (Run): 
	Destroy dialog.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Publish.cs
	(PublishCommand.Publish): Destroy dialog.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp: Don't copy
	  assemly references.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/CommitDialog.cs,
	  MonoDevelop.VersionControl/VersionControl.addin.xml,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Diffs.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs,
	  MonoDevelop.VersionControl/Makefile.am,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/BaseView.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlService.cs:
	  Migration to Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  DiffWidget/DiffWidget.mdp: Updated.

2007-04-11  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	Use svn_client_add3() so that we can pass 'force' as true. (We
	already required 1.3+ as mkdir2() is only 1.3+)

2007-04-10  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/BaseView.cs:
	Removed BuildNavPoint().

2007-03-29  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/BaseView.cs: Implement
	BuildNavPoint().

2007-03-21  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlProjectService.cs
	(OnEntryAdded): Instead of calling repo.Add() with the recursive
	arg set to true, do our own "recursive" adding requesting the list
	of files from the CombineEntry and sub-CombineEntry nodes. This 
	would prevent addition of files/folders that are not part of the 
	project but existed in the project directory at the time ti was added.

	Fix for bug #81184

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs:
	Updated to not pass a path argument to GetRepository().

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	Updated to not pass a path argument to GetRepository().

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlProjectService.cs
	(GetRepository): No longer takes a path argument as it never uses
	it anyway.
	(OnEntryAdded): New callback to handle when a project or combine gets added.
	(VersionControlProjectService): Bind OnEntryAdded.

2007-03-19  Jeffrey Stedfast  <fejj@novell.com>

	Fixes bug #81185 and then delves a bit deeper.

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs
	(IsInstalled): Implemented.

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Checkout.cs
	(Update): Added. Disable the menu item if no version control
	systems are installed.

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlSystem.cs:
	Add a virtual IsInstalled property.

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs
	(SelectionRepositoryDialog): Only add VCS's that are installed.

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/EditRepositoryDialog.cs
	(EditRepositoryDialog): Only add VCS's that are installed.

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlNodeExtension.cs
	(RunCommand): Test that the vcs.IsInstalled, if not - then return
	TestResult.Disable

2007-03-09  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs:
	(OnButtonAddClicked): Add entry for the new repository only instead of
	reloading the full list.
	(OnButtonRemoveClicked): Avoid reloading the full list of repositories.
	Also, save configuration.
	(OnButtonEditClicked): Update the corresponding row in the treeview.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/UrlBasedRepositoryEditor.cs:
	(.ctor): Don't reset comboProtocol's value.	

2007-03-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/Makefile.am: Fix build.

2007-03-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.SslServerTrustDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.SslServerTrustDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs,
	  MonoDevelop.VersionControl.Subversion/SslServerTrustDialog.cs:
	  Moved to .Gui namespace and directory.
	* MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificateDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificatePasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/gui.stetic,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/ClientCertificateDialog.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.Gui/ClientCertificatePasswordDialog.cs:
	  Implemented dialogs for asking for client certificates.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  MonoDevelop.VersionControl.Subversion/Makefile.am: Updated.

2007-03-08  Lluis Sanchez Gual <lluis@novell.com> 

	* Diff/Diff.mdp, DiffWidget/DiffWidget.mdp,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp: Don't
	  local-copy references.
	* MonoDevelop.VersionControl.Subversion/UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/generated.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.SslServerTrustDialog.cs,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/gui.stetic,
	  MonoDevelop.VersionControl.Subversion/gtk-gui/MonoDevelop.VersionControl.Subversion.UserPasswordDialog.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  MonoDevelop.VersionControl.Subversion/Makefile.am,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibApr.cs,
	  MonoDevelop.VersionControl.Subversion/SslServerTrustDialog.cs:
	  Implemented dialogs for entering user and password, and for
	  accepting an invalid ssl certificate. Plugged those dialogs into
	  the corresponding subversion callbacks.

2007-02-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs:
	  Unsubscribe file status change on dispose.

2007-02-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Publish.cs: Ask
	  for confirmation before publishing a project into a repository.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml,
	  MonoDevelop.VersionControl/VersionControl.addin.xml: Change add-in
	  versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* Diff/Diff.mdp, Diff/Makefile.am,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  MonoDevelop.VersionControl.Subversion/Makefile.am,
	  DiffWidget/Makefile.am, DiffWidget/DiffWidget.mdp,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl/gtk-gui/gui.stetic,
	  MonoDevelop.VersionControl/Makefile.am: Synchronize MD project and
	  makefile.
	* MonoDevelop.VersionControl.Subversion/gtk-gui/generated.cs: Updated.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Added debug message.

2007-02-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlProjectService.cs:
	  Allow re-adding a file which has been deleted, but the delete has
	  not yet been committed.

2007-02-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Use the svn_client_cat2 instead of svn_client_cat. This version of
	  the method can get old revisions of a file even when the file was
	  moved from another directory. Fixes bug #80318.

2007-02-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Diff/Diff.mdp, VersionControl.mds,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  DiffWidget/DiffWidget.mdp: Flush.
	* MonoDevelop.VersionControl.Subversion/Makefile.am,
	  MonoDevelop.VersionControl/Makefile.am: distcheck fixes.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Diffs.cs,
	  MonoDevelop.VersionControl/VersionControl.addin.xml,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.addin.xml:
	  Removed dependency to editor add-in.
	* MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs:
	  Minor fixes.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs:
	  Added File Open button to the toolbar.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Logs.cs:
	  Show the content of revisions using the MD text editor, and with
	  the correct mime type.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Publish.cs: Fix
	  spelling.

2007-02-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/gui.stetic: i18N fixes.

2007-02-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Logs.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/CommitCommand.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlNodeExtension.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/RevertCommand.cs:
	  Improved protection against unknown exceptions.

2007-02-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  MonoDevelop.VersionControl.Subversion/Makefile.am,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Fix potential issue when reading the output from svn.

2007-02-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/VersionControl.addin.xml: Allow updating
	  individual files.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	  If there is no version control for a project or folder, instead of
	  an empty version control menu, show a disabled command saying so.

2007-01-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Fix 64 bit issues.

2007-01-29  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* Diff/Diff.cs: chaned to use generics, platform independent newlines
	* Diff/Merge.cs: platform independent newlines
	
2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs,
	  MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Logs.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/Revision.cs:
	  Improved the log view. Use a toolbar instead of regular buttons.
	  Provide more information about files comitted in a revision.

2007-01-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  MonoDevelop.VersionControl/gtk-gui/generated.cs,
	  MonoDevelop.VersionControl/gtk-gui/gui.stetic: Updated.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Provide auth_baton for subversion authentication (patch by Duncan
	  Mackay <duncan.mackay@provenco.com>). In CheckError, get error
	  messages from all all nested error objects.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  PathDiff now returns differences between the base and the working
	  versions.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl/Makefile.am: Added new files.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/EditRepositoryDialog.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.Dialogs/CommitDialog.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/UrlBasedRepositoryEditor.cs:
	  Use the new partial class model.
	* MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.UrlBasedRepositoryEditor.cs,
	  MonoDevelop.VersionControl/gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs:
	  New partial files for the dialogs.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Statuses.cs:
	  When the view is refreshed, discard the diffs already loaded. Track
	  changes in diff cell renderer.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/CellRendererDiff.cs:
	  Cache Layout objects for diff content, since they may be very big
	  and take too much time to construct. The cell renderer is now must
	  faster for big files.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/AddRemoveMoveCommand.cs:
	  Fix warning.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlProjectService.cs:
	  Fix warnings.

2007-01-15  Lluis Sanchez Gual <lluis@novell.com> 

	Put under version control new files added to a project.

2006-12-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Fixed some marshalling isues when calling svn methods. Should fix
	  bug #80312.

2006-12-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs:
	  Added null check. Should fix bug #80311.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Improved implementation of Move.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Removed debug code.
	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Minor fixes.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl/Makefile.am: Added new file.
	* MonoDevelop.VersionControl/VersionControl.addin.xml: Registered new
	  file system extension.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/Repository.cs:
	  Split Move method into MoveFile and MoveDirectory. The same for
	  Delete. Added some other useful overridable methods.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs:
	  New file system extension which supports version control systems.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlNodeExtension.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/AddRemoveMoveCommand.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlProjectService.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/UnknownRepository.cs:
	  Track api changes.
	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/ChangeSet.cs:
	  Removed unused field.

2006-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl/VersionControlProjectService.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/ChangeSet.cs,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl/Checkout.cs:
	  Save commit comments in a file, so they won't be lost if the status
	  view is closed.

2006-12-07 Jacob Ilsø Christensen <jacobilsoe@gmail.com>

	* MonoDevelop.VersionControl/MonoDevelop.VersionControl.Views/Logs.cs:
	Fixed compile warning.

2006-11-28 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.VersionControl.Subversion:
	* MonoDevelop.VersionControl: Added svn:ignores for the .pidb files.

2006-11-26 Jacob Ilsø Christensen <jacobilsoe@gmail.com>
	
	* MonoDevelop.VersionControl.Subversion:
	* MonoDevelop.VersionControl:
	Added svn:ignores for Makefile and Makefile.in.

2006-11-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion.mdp,
	  MonoDevelop.VersionControl/MonoDevelop.VersionControl.mdp: Added
	  missing reference.
	* MonoDevelop.VersionControl/gtk-gui/generated.cs,
	  MonoDevelop.VersionControl/gtk-gui/objects.xml: Updated.

2006-11-23  Lluis Sanchez Gual <lluis@novell.com> 

	Split the version control add-in in two add-ins: one that implements
	the version control core, and one that implements the support for
	Subversion. The VCS core is now built by default. The subversion add-in
	is optional.

2006-11-22  Lluis Sanchez Gual <lluis@novell.com> 

	* AddIn/VersionControl.AddIn/VersionControlNodeExtension.cs: Don't show
	  folder overlays if they are disabled. Cache overlay compositions.
	* AddIn/gtk-gui/generated.cs, AddIn/gtk-gui/gui.stetic: Updated.
	* VersionControl/VersionControl.Service.Subversion/SubversionRepository.cs,
	  VersionControl/VersionControl.Service.Subversion/SubversionVersionControl.cs:
	  Allow commiting directories that contain versioned files (even if
	  the directory itself is not versioned).
	* VersionControl/VersionControl.Service.Subversion/SvnClient.cs: Fix
	  some memory leaks.
	* VersionControl/VersionControl.Service/ChangeSet.cs: Added getter for
	  the repository.

2006-11-18  Lluis Sanchez Gual <lluis@novell.com> 

	* AddIn/VersionControl.AddIn/VersionControlProjectService.cs: Added
	  missing nullref check.

2006-11-18  Lluis Sanchez Gual <lluis@novell.com> 

	* AddIn/VersionControl.AddIn.Views/Statuses.cs: Properly enable/disable
	  toolbar buttons.
	* AddIn/VersionControl.AddIn/RevertCommand.cs: Minor fix in log
	  message.

2006-11-16  Lluis Sanchez Gual <lluis@novell.com> 

	* AddIn/VersionControl.AddIn/VersionControlProjectService.cs:
	  Automatically add/remove files from the repository when
	  added/removed from the project.
	* AddIn/VersionControl.AddIn/VersionControlNodeExtension.cs: Fix
	  nullref exception.
	* AddIn/gtk-gui/generated.cs, AddIn/gtk-gui/gui.stetic: Updated.

2006-11-16  Lluis Sanchez Gual <lluis@novell.com> 

	* AddIn/VersionControl.AddIn.Dialogs/CommitDialog.cs: Hide the commit
	  dialog before starting the commit operation.

2006-11-16  Lluis Sanchez Gual <lluis@novell.com> 

	* AddIn/VersionControl.AddIn.Dialogs/CommitDialog.cs,
	  AddIn/VersionControl.AddIn/CommitDialogExtension.cs: Added support
	  for commit dialog extensions.
	* AddIn/VersionControl.AddIn.Views/Statuses.cs: Add support for
	  sorting.
	* AddIn/VersionControl.addin.xml: Changed add-in id. Added new
	  extension point.
	* AddIn/VersionControl.AddIn/VersionControlProjectService.cs,
	  AddIn/VersionControl.AddIn/CommitEventHandler.cs: Improved commit
	  events.
	* AddIn/VersionControl.AddIn/CommitCommand.cs: Moved some of the commit
	  functionality to the commit dialog, since commit extensions now
	  participate in the operation.
	* AddIn/VersionControlAddIn.mdp, AddIn/gtk-gui/generated.cs,
	  AddIn/gtk-gui/gui.stetic, AddIn/Makefile.am: Updated.
	* VersionControl/VersionControl.Service/VersionInfo.cs: Added
	  NeedsCommit property.
	* VersionControl/VersionControl.Service/ChangeSet.cs: If a file does
	  not have a comment, don't include it in the generated global
	  message.

2006-11-15 Lluis Sanchez Gual  <lluis@novell.com>

	* AddIn/overlay_unversioned.png, AddIn/overlay_locked.png,
	  AddIn/overlay_added.png, AddIn/overlay_conflicted.png,
	  AddIn/overlay_modified.png, AddIn/overlay_normal.png,
	  AddIn/overlay_controled.png:
	  Updated icons.
	* AddIn/VersionControl.AddIn.Dialogs/CommitDialog.cs: Use the new
	  ChangeSet class.
	* AddIn/VersionControl.AddIn.Views/Statuses.cs: Update the view when
	  file status change. Added Revert command. Use the new ChangeSet class.
	* AddIn/VersionControl.AddIn.Views/Logs.cs: Minor fix.
	* AddIn/VersionControl.AddIn/VersionControlProjectService.cs: Added
	  event for notifying changes in file status.
	* AddIn/VersionControl.AddIn/Task.cs: Added some exception protection.
	* AddIn/VersionControl.AddIn/VersionControlNodeExtension.cs: Simplified
	  the code that keeps track of file status changes, but using the new
	  version control service events. Implemented Revert.
	* AddIn/VersionControl.AddIn/FileUpdateEventHandler.cs: new handlers
	  for notifying version control events.
	* AddIn/gtk-gui/generated.cs, AddIn/gtk-gui/gui.stetic: Updated the gui.
	* VersionControl/VersionControl.Service/ChangeSet.cs: New class that holds
	  all needed information for a commit.
	
	* VersionControl/VersionControl.Service/UnknownRepository.cs:
	* VersionControl/VersionControl.Service.Cvs/CvsRepository.cs: Track api
	  changes.
	  
	* VersionControl/VersionControl.Service/Repository.cs:
	* VersionControl/VersionControl.Service.Subversion/SvnClient.cs:
	* VersionControl/VersionControl.Service.Subversion/SubversionVersionControl.cs:
	* VersionControl/VersionControl.Service.Subversion/SubversionRepository.cs:
	  Implemented Revert. Use the new ChangeSet class. Fixes in several status
	  check methods.
	
	* AddIn/VersionControl.AddIn/Commands.cs:
	* AddIn/VersionControl.AddIn/RevertCommand.cs:
	* AddIn/VersionControl.addin.xml: Added Revert command.
	
	* AddIn/VersionControl.AddIn/Update.cs:
	* AddIn/VersionControl.AddIn/CommitCommand.cs:
	* AddIn/VersionControl.AddIn/AddRemoveMoveCommand.cs: Notify changes
	  in the status of files.
	
	* VersionControl/VersionControl.Service/VersionStatus.cs:
	* VersionControl/VersionControl.Service/VersionInfo.cs:
	  Removed Unknown status.
	
	* AddIn/Makefile.am:
	* VersionControl/VersionControl.mdp:
	* AddIn/VersionControlAddIn.mdp: Updated.

2006-11-07 Lluis Sanchez Gual  <lluis@novell.com>

	* AddIn/comment.png: New icon.
	* AddIn/VersionControl.AddIn.Dialogs/CommitDialog.cs: Added setter for
	  Message.
	* AddIn/VersionControl.AddIn.Views/Statuses.cs, AddIn/gtk-gui/generated.cs,
	  AddIn/gtk-gui/gui.stetic: Added an text view which allows entering
	  commit comments for every file, with support for multiple selection.
	* AddIn/VersionControl.addin.xml: Registered new icon.
	* AddIn/VersionControl.AddIn/CommitCommand.cs: Added parameter for
	  providing the commit message.
	* AddIn/VersionControl.AddIn/VersionControlNodeExtension.cs: Dispatch file
	  change events in the GUI thread.
	* AddIn/VersionControlAddIn.mdp, AddIn/Makefile.am: Updated
	* VersionControl/VersionControl.Service/Repository.cs: Minor fix.


2006-11-06 Lluis Sanchez Gual  <lluis@novell.com>

	* AddIn/VersionControl.AddIn.Dialogs/SelectRepositoryDialog.cs:
	  Some minor UI fixes.
	* AddIn/VersionControl.AddIn/Checkout.cs: Added null check.
	* AddIn/VersionControlAddIn.mdp: Removed unused resource.
	
	* AddIn/gtk-gui/gui.stetic:
	* AddIn/gtk-gui/generated.cs: Regenerated.
	
	* VersionControl/VersionControl.Service.Subversion/LibApr.cs: 
	* VersionControl/VersionControl.Service.Subversion/SvnClient.cs: 
	  Moved apr pinvokes to the LibApr class, which can now support 
	  libapr0 and libapr1.
	  
	* DiffWidget/DiffWidget.mdp:
	* VersionControl/Makefile.am:
	* VersionControl/VersionControl.mdp: Updated.

2006-11-04 Lluis Sanchez Gual  <lluis@novell.com>

	* AddIn/VersionControl.addin.xml: Fix checkout command icon.
	* AddIn/Makefile.am: Remove unused files.

2006-11-04 Lluis Sanchez Gual  <lluis@novell.com> 

	Big reorganization of the add-in. Implemented support for saving
	repository configuration. Implemented publish and checkout
	commands. Made the add-in pluggable, so it can support other
	repositories. Some of this work was	started	by Thiago Becker and
	Rafael Giorgetti as part of a Google SoC project.

2006-09-19 Jacob Ilsø Christensen <jacobilsoe@gmail.com>

	* AddIn/VersionControlAddIn.mdp:
	* VersionControl/VersionControl.mdp:
	* Diff/Diff.mdp:
	* VersionControl.mds:
	* DiffWidget/DiffWidget.mdp:
	Updated.

2006-08-19 Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIn/Addin.cs: Fix the build.

2006-07-28 Wade Berrier <wberrier@novell.com> 

	* AddIn/Addin.cs: Update from refactoring change on IViewContent (svn r62840)

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIn/VersionControl.addin.xml: Updated versions.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* AddIn/VersionControl.addin.xml: Updated versions.
	* AddIn/VersionControlAddIn.mdp: Updated.
	* VersionControl/VersionControl.mdp: Updated.
	* Diff/Diff.mdp: Updated.
	* VersionControl/VersionControl.mds: Updated.
	* DiffWidget/DiffWidget.mdp: Updated.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* AddIn/Makefile.am:
	* AddIn/VersionControl.addin.xml: Updated references.

2006-03-26 Joshua Tauberer  <tauberer@for.net>

	* AddIn/Task.cs, Statuses.cs, Logs.cs: Prevent unhandled
	  exceptions if a library couldn't be found.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* VersionControl.mds:
	* DiffWidget/DiffWidget.mdp:
	* VersionControl/VersionControl.mdp:
	* Diff/Diff.mdp: Updated.
	* Makefile.am:
	* Diff/Makefile.am:
	* DiffWidget/Makefile.am:
	* VersionControl/Makefile.am: Use an unified format. 
	  Patch by Matze Braun.
	
	* VersionControl.addin.xml: Updated add-in versions.

2006-03-21  Wade Berrier <wberrier@novell.com> 

	* AddIn/Makefile.am: Fix 'make dist' to include missing png files

2006-03-02  Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIn/Addin.cs: Track api changes.

2006-02-24  Lluis Sanchez Gual  <lluis@novell.com> 

	* VersionControl/AddIn/AddIn.mdp: Updated project references.

2005-12-04  Joshua Tauberer  <tauberer@for.net>

	* AddIn: Added icons to menus.  The icons again come
	  from the TortoiseSVN project (with a presumption of
	  license compatibility).

2005-11-18  Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIn/VersionControl.addin.xml: Moved version control commands to
	its own submenu.

2005-11-15  Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIn/Addin.cs: It should also work for Project, not only DotNetProject.
	* VersionControl/Subversion.cs: Fix build.

2005-10-22  Joshua Tauberer  <tauberer@for.net>

	* Minor VersionControl API changes (use a RepositoryPath
	  class to represent an abstract path in a repository).
	* Improved the history/log view and the status/commit view
	  using the TreeView widget.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIn/VersionControl.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIn/VersionControl.addin.xml: Added addin dependencies.

2005-09-20  Josh Tauberer <tauberer@for.net>

	* AddIn/Statuses.cs,Logs.cs: Some widgets needed
	  to be shown since MD is calling Show() less.
	* VersionControl/Subversion.cs: Not all entries
	  returned by svn have a URL, e.g. obstructed entries.
	  So don't rely on that to get the local path.

2005-09-04  Josh Tauberer <tauberer@for.net>

	* AddIn/Makefile.am: Was broken since last time
	  it was changed.

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

	* AddIn/AddIn.mdp
	* VersionControl/VersionControl.mdp
	* Diff/Diff.mdp
	* DiffWidget/DiffWidget.mdp: references update

2005-08-08  John Luke  <john.luke@gmail.com>

	* AddIn/Makefile.am:
	* Diff/Makefile.am:
	* DiffWidget/Makefile.am:
	* VersionControl/Makefile.am: fix distcheck,
	make it conditional on ENABLE_VERSIONCONTROL,
	and install it when enabled

2005-07-01  Joshua Tauberer <tauberer@for.net>

	* Added MD solution files for VersionControl.
	* Project pad overlays now update when files
	  are modified.
	* Project pad context menus enabled for
	  folders and combines.
	* Subversion: Don't report diffs available
	  for unchanged files.
	* This was committed with the addin!

2005-06-22  Joshua Tauberer <tauberer@for.net>

	* Added VersionControl into repo (but sadly the addin
	  cannot add itself into the repo yet!).
